# RPM specfile for freetype2 module
# Generated Tue Jul  3 15:09:07 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.6 2001/06/11 13:46:26 dobey Exp $

%define nam	freetype2
%define ver	2.0.1

Name:     	freetype2
Version: 	2.0.1
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	The FreeType Project LICENSE
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
Source0:	freetype-2.0.1.tar.gz
Summary:	FreeType 2 font engine, shared library files.
Group:		System Environment/Libraries

%description
The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography. 
They specifically target embedded systems and focus on bringing small,
efficient and ubiquitous products.

The FreeType 2 library is their new software font engine.  It has been
designed to provide the following important features:
* A universal and simple API to manage font files
* Support for several font formats through loadable modules
* High-quality anti-aliasing
* High portability & performance

Supported font formats include:
* TrueType files (.ttf) and collections (.ttc)
* Type 1 font files both in ASCII (.pfa) or binary (.pfb) format
* Type 1 Multiple Master fonts.  The FreeType 2 API also provides
routines to manage design instances easily
* Type 1 CID-keyed fonts
* OpenType/CFF (.otf) fonts
* CFF/Type 2 fonts
* Adobe CEF fonts (.cef), used to embed fonts in SVG documents with
the Adobe SVG viewer plugin.
* Windows FNT/FON bitmap fonts

This package contains the files needed to run programs that use the
FreeType 2 library.

Home Page: http://www.freetype.org/
Authors: David Turner   <david.turner@freetype.org>
Robert Wilhelm <robert.wilhelm@freetype.org>
Werner Lemberg <werner.lemberg@freetype.org>

%files
%defattr(-, root, root)
%doc CHANGES INSTALL LICENSE.TXT docs
/opt/gnome/lib/*.so.*


%post
ldconfig

%package -n freetype2-devel
Summary:	FreeType 2 font engine, development files
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}

%description -n freetype2-devel
The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography. 
They specifically target embedded systems and focus on bringing small,
efficient and ubiquitous products.

The FreeType 2 library is their new software font engine.  It has been
designed to provide the following important features:
* A universal and simple API to manage font files
* Support for several font formats through loadable modules
* High-quality anti-aliasing
* High portability & performance

Supported font formats include:
* TrueType files (.ttf) and collections (.ttc)
* Type 1 font files both in ASCII (.pfa) or binary (.pfb) format
* Type 1 Multiple Master fonts.  The FreeType 2 API also provides
routines to manage design instances easily
* Type 1 CID-keyed fonts
* OpenType/CFF (.otf) fonts
* CFF/Type 2 fonts
* Adobe CEF fonts (.cef), used to embed fonts in SVG documents with
the Adobe SVG viewer plugin.
* Windows FNT/FON bitmap fonts

This package contains all supplementary files (static library, headers
and documentation) you need to develop your own programs using the
FreeType 2 library.

%files -n freetype2-devel
%defattr(-, root, root)
/opt/gnome/bin/freetype-config
/opt/gnome/include/freetype2
/opt/gnome/lib/*so
/opt/gnome/lib/*a


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n freetype-2.0.1
    ;;
all)
%setup  -q -n freetype-2.0.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ${MAKE} setup CFG="--prefix=/opt/gnome"
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
